﻿##       ███████████████████████████████████████████████████████████████████████████████████████████         
##       OPTION THINGY                                                                                                                                            
##       This is the section where you config things and stuff and... bah...
##       This section makes my head spin... enjoy browsing...
##       ███████████████████████████████████████████████████████████████████████████████████████████ 

init -1 python hide:
    ## Just what it says
    config.developer = False

    ## These control the width and height of the screen.
    config.screen_width = 800
    config.screen_height = 600

    ## This controls the title of the window, when Ren'Py is
    ## running in a window (...you know, the text at the top of the window)
    config.window_title = u"The Fucking Question"

    ## Dont mess with this one... I dunno what it is...
    layout.button_menu()

    ## OK, so this section is for themes but this segment is still way beyond me...
    theme.roundrect(

        ## The color of an idle widget face.
        widget = "#FFD5A4",
        ## The color of a focused widget face.
        widget_hover = "#E97F00",
        ## The color of the text in a widget.
        widget_text = "#ffffff",
        ## The color of the text in a selected widget. (For
        ## example, the current value of a preference.)
        widget_selected = "#097A16",
        ## The color of a disabled widget face. 
        disabled = "#ffffff",
        ## The color of disabled widget text.
        disabled_text = "#FFC89A",
        ## The color of informational labels.
        label = "#ffffff",
        ## The color of a frame containing widgets.
        frame = "#FAC382",
        ## If this is True, in-game menus are placed in the center
        ## the screen. If False, they are placed inside a window
        ## at the bottom of the screen.
        button_menu = True,
        ## If this is True, the in-game window is rounded. If False,
        ## the in-game window is square.
        rounded_window = False,
        ## The ollowing are now redundant since I'm on image-maps
        mm_root = "backdrop.png",
        gm_root = "backdrop.png",
        ## And we're done... finally.
        )


##       ███████████████████████████████████████████████████████████████████████████████████████████ 
    ## Let's see... IIRC, this segment is the one responsible for the dialogue box thingy...
    style.window.background = Frame("frame.png", 12, 12)

    ## Margin is space surrounding the window, where the background
    ## is not drawn... what!? (Really, just leave this alone...)
    # style.window.left_margin = 6
    # style.window.right_margin = 6
    # style.window.top_margin = 6
    # style.window.bottom_margin = 6

    ## Padding is space inside the window, where the background is
    ## drawn.
    style.window.left_padding = 30
    style.window.right_padding = 30
    style.window.top_padding = 20
    # style.window.bottom_padding = 6

    ## This is the minimum height of the window, including the margins
    ## and padding.

    ## As of writting, I still haven't figured what the fuck is this for or how does it work...
    # style.window.yminimum = 250


##       ███████████████████████████████████████████████████████████████████████████████████████████ 
    ## This lets you change the placement of the main menu but since I'm using image-maps just ignore this
    ## section... move along, nothing to see here... 
    # style.mm_menu_frame.xpos = 0.5
    # style.mm_menu_frame.xanchor = 0.5
    # style.mm_menu_frame.ypos = 0.75
    # style.mm_menu_frame.yanchor = 0.5


##       ███████████████████████████████████████████████████████████████████████████████████████████ 
    ## These let you customize the default font used for text in Ren'Py (Uhh... OK)

    ## The file containing the default font.
    # style.default.font = "DejaVuSans.ttf"

    ## The default size of text.
    style.default.size = 20

    ## Note that these only change the size of some of the text. Other
    ## buttons have their own styles (like what?)


##       ███████████████████████████████████████████████████████████████████████████████████████████ 
    ## These settings let you change some of the sounds that are used by
    ## Ren'Py.

    ## Set this to False if the game does not have any sound effects. (Now why would you turn it off?)
    config.has_sound = True

    ## Set this to False if the game does not have any music. (Or better, adjust the volume in your speakers... manually)
    config.has_music = True

    ## Set this to False if the game does not have voicing. (...Duh)
    config.has_voice = True

    ## Sounds that are used when entering and exiting the game menu. 
    #config.enter_sound = "ugh01.ogg"
    # config.exit_sound = "click.wav"

    ## A sample sound that can be played to check the sound volume.
    # config.sample_sound = "click.wav"

    ## Music that is played while the user is at the main menu.
    # config.main_menu_music = "main_menu_theme.ogg"
    

##       ███████████████████████████████████████████████████████████████████████████████████████████ 
    ## Help (or call 911)

    ## This lets you configure the help option on the Ren'Py menus.
    ## It may be:
    ## - A label in the script, in which case that label is called to
    ##   show help to the user.
    ## - A file name relative to the base directory, which is opened in a
    ##   web browser.
    ## - None, to disable help.   
    config.help = "None"

    
##       ███████████████████████████████████████████████████████████████████████████████████████████ 
    ## Miscellaneous customizations
    ## These let you change the transitions that are used when entering
    ## and exiting the game menu.

    config.enter_transition = dissolve
    config.exit_transition = dissolve
    config.intra_transition = dissolve
    config.main_game_transition = dissolve
    config.game_main_transition = dissolve
    config.end_splash_transition = dissolve
    config.end_game_transition = dissolve
    config.after_load_transition = dissolve

    
##       ███████████████████████████████████████████████████████████████████████████████████████████ 
    ## This is the name of the directory where the game's data is
    ## stored. (It needs to be set early, before any other init code
    ## is run, so the persisten information can be found by the init code.)
    ## But for some odd reason I can't seem to find where it is...
python early:
    config.save_directory = "the_question-1220806307"
        
init -1 python hide:
    ## Note: The following two options are only evaluated the first time
    ## a game is run. To have them run a second time, delete
    ## game/saves/persistent. (Uhh... what?)

    ## Should we start in fullscreen mode?
    config.default_fullscreen = True

    ## The default text speed in characters per second. 0 is infinite.
    config.default_text_cps = 0

    ## Just in case I needed it.
    config.image_cache_size = 12
    
    ## For people with computers and video cards that are too fast.
    config.framerate = 60
    
    ## (Insert evil smile here... BWAHAHAHAHAHAHAHAHA!!!)
    config.hard_rollback_limit = 0
    
    ## Because that mouse is always hard to catch
    config.mouse_hide_time = 50000
    
##       ███████████████████████████████████████████████████████████████████████████████████████████ 
    # This block is responsible for Text Dropshadow.  
 
init:
    $ style.default.drop_shadow = (2, 2)
    $ style.default.drop_shadow_color = "#000"


##       ███████████████████████████████████████████████████████████████████████████████████████████     
init python:    
    
    style.imagemap_button.hover_sound = "tok.ogg"
    style.imagemap_button.activate_sound = None
    #style.imagemap_button.activate_sound = "ugh01.ogg"
    #style.imagemap.activate_sound = "kapop.ogg" 
    #style.imagemap.hover_sound = "kapop.wav"
    
##       ███████████████████████████████████████████████████████████████████████████████████████████  
    # This block is responsible for the Navigation Screen. (That thing at the bottom of the screen in the options)

init -2 python:
    layout.imagemap_navigation(
        "gui_navigation_ground_a1.png",
        "gui_navigation_idle_a1.png",
        Animation ("gui_navigation_hover_a1.png", .05, "gui_navigation_hover_a2.png", .05, "gui_navigation_hover_a3.png", .05, "gui_navigation_hover_a4.png", .05, "gui_navigation_hover_a3.png", .05, "gui_navigation_hover_a2.png", .05),
        "gui_navigation_selected_idle_a1.png",
        Animation ("gui_navigation_selected_hover_a1.png", .05, "gui_navigation_selected_hover_a2.png", .05, "gui_navigation_selected_hover_a3.png", .05, "gui_navigation_selected_hover_a4.png", .05, "gui_navigation_selected_hover_a3.png", .05, "gui_navigation_selected_hover_a2.png", .05),
        [
            (287, 510, 363, 586, "Return"),
            (372, 510, 448, 586, "Save Game"),
            (457, 510, 533, 586, "Load Game"),
            (542, 510, 618, 586, "Preferences"),
            (627, 510, 703, 586, "Main Menu"),
            (712, 510, 788, 586, "Quit"),
            ])        

    
##       ███████████████████████████████████████████████████████████████████████████████████████████  
    # This block is responsible for the Options Screen.

init -2 python:
    layout.imagemap_preferences(
        Animation("gui_prefs_ground_a1.png", 45.0, "gui_prefs_ground_a2.png", 5.0, "gui_prefs_ground_a3.png", 5.0, "gui_prefs_ground_a2.png", 20.0, "gui_prefs_ground_a4.png", 5.0, "gui_prefs_ground_a5.png", 30000.0, ),
        "gui_prefs_idle.png",
        "gui_prefs_hover.png",
        "gui_prefs_selected_idle.png",
        "gui_prefs_selected_hover.png",
        [
            (422, 267, 497, 319, "Window"),
            (335, 267, 409, 319, "Fullscreen"),
            (286, 390, 361, 442, "All"),
            (373, 390, 448, 442, "None"),
            
            (696, 83, 775, 161, "Begin Skipping"),
            (297, 156, 403, 194, "Stop Skipping"),
            (411, 156, 516, 194, "Keep Skipping"),
            
            (611, 272, 769, 300, "Music Volume"),
            (571, 352, 729, 379, "Sound Volume"),
            (531, 431, 689, 459, "Voice Volume"),
            (564, 207, 742, 221, "Auto-Forward Time"),
            (564, 169, 742, 182, "Text Speed"),
            ])    

    
##       ███████████████████████████████████████████████████████████████████████████████████████████ 
    # This block is responsible for the Load/Save screen
    # AAAAAGHHHHHHHHHHHH!!!! This one is a pain in the ass!...
    
init -2 python:
    layout.imagemap_load_save(
        "gui_loadsave_ground.png",
        "gui_loadsave_idle.png",
        "gui_loadsave_hover.png",
        "gui_loadsave_selected_idle.png",
        "gui_loadsave_selected_hover.png",
        [
            (240, 115, 303, 177, "previous"),
            (309, 115, 372, 177, "page_auto"),
            (378, 115, 441, 177, "page_1"),
            (447, 115, 510, 177, "page_2"),
            (516, 115, 579, 177, "page_3"),
            (585, 115, 648, 177, "page_4"),
            (654, 115, 717, 177, "page_5"),
            (723, 115, 786, 177, "next"),

            (286, 197, 518, 260, "slot_0"),
            (286, 273, 518, 333, "slot_1"),
            (286, 347, 518, 410, "slot_2"),
            (286, 423, 518, 485, "slot_3"),
            (548, 197, 779, 260, "slot_4"),
            (548, 273, 779, 333, "slot_5"),
            (548, 347, 779, 410, "slot_6"),
            (548, 423, 779, 485, "slot_7"),
            ])
    
    style.file_picker_ss_window.xalign = 0.95
    style.file_picker_ss_window.yalign = 0.5
    style.file_picker_text_window.xalign = 0.05
    style.file_picker_text_window.yalign = 0.05
    config.thumbnail_width = 68
    config.thumbnail_height = 52
    config.file_entry_format = "%(time)s\n%(save_name)s"
    
    #config.file_entry_format = "%(time)s"
    #config.file_entry_format = "%(save_name)s"
    #config.disable_thumbnails = True
    #config.load_save_empty_thumbnail = None
    #config.time_format = "%b %d, %H:%M"
    
##       ███████████████████████████████████████████████████████████████████████████████████████████   
    # This block is responsible for the Quit Prompt screen
    
init -2 python:
    layout.imagemap_yesno_prompt(
        "gui_quit_screen_ground_a1.png",
        "gui_quit_screen_idle_a1.png",
        Animation ("gui_quit_screen_hover_a1.png", .05, "gui_quit_screen_hover_a2.png", .05, "gui_quit_screen_hover_a3.png", .05, "gui_quit_screen_hover_a4.png", .05, "gui_quit_screen_hover_a3.png", .05, "gui_quit_screen_hover_a2.png", .05),
        [
            (307, 293, 447, 364, "Yes"),
            (551, 293, 721, 364, "No"),
            ])

    style.yesno_prompt.yalign = 0.23
    style.yesno_prompt.xalign = 0.93
    
##       ███████████████████████████████████████████████████████████████████████████████████████████  
    # This block is responsible for the umm... mouse cursor thingy
init python:
    config.mouse = { }
    config.mouse["default"] = [
         ("gui_mouse_cursor.png", 0.0, 0.0),
    ]

